Deprecated: Read a Research Run’s Events
Deprecated: Read a Research Run’s Events
Deprecated: use research runs events list (GET /v1/research/runs/{runId}/events).
Authentication
AuthorizationBearer
Your aVenture API key (https://aventure.vc/settings/api-keys) or OAuth access token
Path parameters
runId
Research run id
Query parameters
cursor
Opaque nextCursor returned by the previous event page.
size
Events per page; maximum 100.
Response headers
X-RateLimit-Limit
Requests allowed per client IP in the current rate-limit window.
X-RateLimit-Remaining
Requests left before the tightest applicable rate-limit bucket rejects.
X-RateLimit-Reset
Seconds until the exhausted rate-limit bucket admits another request; 0 when none is exhausted.
Response
OK
content
nextCursor
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error